{% extends "base.html.twig" %}

{% block title %}{{ 'dashboard.title'|trans }}{% endblock %}

{% block body %}
    <div id="countersbox">
        {% include 'Base/Dashboard/_loading.html.twig' %}
    </div>

    <div id="realtimebox" style="display: none;">
        {% include 'Base/Dashboard/_part_realtime.html.twig' %}
    </div>

    <div id="chartbox"></div>

    <div id="statsbox"></div>


    <style>
        .blockinfo { background-color: #fafafa; padding: 0.7em; margin-bottom: 1em; }
        .blockinfo h4 { margin-top: 0; }
        .blockinfo a, .blockinfo a:hover { border: none; text-decoration: none; }
    </style>

{% endblock %}
{% block javascripts %}
    <script>var connections = {};</script>
    <script src="{{ asset('resources/chart.min.js') }}?2"></script>
    {% include 'Base/Dashboard/_ws.html.twig' %}

    <script type="application/javascript">
        loadAndReload("#countersbox", "{{ path('dashboard-counters') }}", function() { $('#realtimebox').show(); });
        loadAndReload("#chartbox", "{{ path('dashboard-chart') }}", null, null, function() {
            if (typeof destroyChart !== 'undefined' && typeof destroyChart === 'function') { destroyChart(); } // prevent leaking charts
        });
        loadAndReload("#statsbox", "{{ path('dashboard-stats') }}", function() {}, 600000);

        function loadAndReload(what, source, cb, interval, destroyCb) {
            var f = function () {
                $.get( source, function(data) {
                    destroyCb && destroyCb();
                    $(what).empty();
                    $(what).html(data);
                    $(document).trigger('ajax/loaded');
                    cb && cb();
                });
            };
            f();
            setInterval(f, interval || 5000);
        }
    </script>
{% endblock %}
